import { defineConfig } from "vite";
import solidPlugin from "vite-plugin-solid";
import cssInjectedByJsPlugin from "vite-plugin-css-injected-by-js";

export default defineConfig({
  plugins: [cssInjectedByJsPlugin(), solidPlugin()],

  build: {
    lib: {
      entry: "./src/index.tsx",
      name: "index.js",
      fileName: () => "index.js",
      formats: ["es"],
    },
    target: "esnext",
  },
});
